# Rust bla
* `cargo install cargo-edit`

# Media creators
## JabyEngine
| Art                                                             | Author |
|-----------------------------------------------------------------|--------|
| `ressources\Splash_ntsc.png` <br/> `ressources\Splash_ntsc.png` | Niuka  |

## PoolBox
| Art                                                             | Author      |
|-----------------------------------------------------------------|-------------|
| `examples\PoolBox\assets\AllTheJaby.png`                        | Niuka       |
| `examples\PoolBox\assets\IconTexture.png`                       | Charlie Nax |
| `examples\PoolBox\assets\Paco.png`                              | Paco        |

| Music                                                                     | Author                                |
|---------------------------------------------------------------------------|---------------------------------------|
| `examples\PoolBox\assets\audio\apple.wav`                                 | ???                                   |
| `examples\PoolBox\assets\audio\blubb-mono.wav`                            | ???                                   |
| `examples\PoolBox\assets\audio\Evacuation_cdda.wav`                       | Cody the white tiger                  |
| `examples\PoolBox\assets\audio\Friendship_samp.wav`                       | From Dragon Quest VII                 |
| `examples\PoolBox\assets\audio\jlbrock44_Three_Kings_Funk_cdda_ready.wav` | `Three Kings Funk` by spinningmerkaba |
| `examples\PoolBox\assets\audio\OnMyOwn_BailBonds.mp3`                     | `On My Own` by Bail Bonds             |

# Special thanks


# Compatibility
* PS1 
  * Emulator
    - [X] Duckstation
    - [X] No$PSX
    - [X] Xebra
  - [ ] Real Hardware
- PS3 
  - [ ] Emulator
  - [ ] Real Hardware

# TODO
- [ ] Ko-fi supporter list
- [ ] Support more GTE
- [X] Easy serial code swap
  - [X] Support .subst files to be substituted with environment variables 
  - [X] Support pop-fe
- [ ] PS3 PKG generation tool?
- [ ] PS3 runtime detection?
- [ ] Move DMA code to public include for custom loading of files?
  - [ ] Maybe make it an interface with SPU/GPU as a specification...?
  - [ ] Could be empty classes that the linker maps to 0 or somewhere
  - [ ] Could be a all static struct (I like that better; We are not Nicolas Noble)
  - [ ] Redo the IO ports again...?
- [ ] Support better file loading with threads
  - [ ] Loading Screen with GPU IO? (Does DMA and IO work together?)